import { ApiContextProvider } from './CacheContext';
declare enum Method {
    GET = "GET",
    POST = "POST",
    PUT = "PUT",
    PATCH = "PATCH",
    DELETE = "DELETE"
}
interface UseApiResponse<T> {
    data: T | undefined;
    isLoading: boolean;
    isError: boolean;
    error: Error | null;
}
declare const useApi: <TResponse, TData>(apiId: string, apiUrl: string, method: Method, data?: TData | undefined, headers?: HeadersInit) => UseApiResponse<TResponse>;
export { useApi, Method, ApiContextProvider };
