import React, { createContext, useContext } from 'react';
import { ApiCache } from './cache';
var ApiCacheContext = createContext({
    getCache: function (_id) { return _id; },
    setCache: function (_id, data) { return data; },
});
var ApiContextProvider = function (_a) {
    var children = _a.children;
    var cache = new ApiCache();
    var handleSetCache = function (id, data) {
        cache.setCachedResponse(id, data);
        return data;
    };
    var handleGetCache = function (id) {
        return cache.getCachedResponse(id);
    };
    return (React.createElement(ApiCacheContext.Provider, { value: { getCache: handleGetCache, setCache: handleSetCache } }, children));
};
var useApiContext = function () { return useContext(ApiCacheContext); };
export { ApiContextProvider, ApiCacheContext, useApiContext };
//# sourceMappingURL=CacheContext.js.map